package com.artfess.cqxy.universal.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.cqxy.universal.model.NoticeDTO;
import org.apache.ibatis.annotations.Param;

/**
 * @Description:
 * @Author: Rong Tao
 * @Date: 2022/7/24 20:01
 */
public interface NoticeManager extends BaseManager<NoticeDTO> {

    void isSend();

    void isReportSend();

    void send(String id,String projectName,String content);

    String getCreateTimeById(String tableName,String projectId);

    String getAccountById(String id);

    Integer getLimitTimeByCode(String id);

    Integer getCount(String tableName,String projectId);

    Integer getCountReport(String projectId);
}
